Subject: [rohc] ROHC-TCP

From: "william zheng" <[email-masked]>
Date: Thu, 24 Oct 2002 11:51:41 +0800

Hi, all

As I study the draft-ietf-rohc-tcp-02.txt, I find I have one question in understanding the description about the decompressor state and logic (P.22 and 24). 

In P.22, when at full context in U mode, the decompressor should transit to no context if consequent N packets fails to be decompressed. 

In P.24, when at full context in B mode, the verification check of x out of ythe last y decompressed packets have failed., context damage should be assumed and a NACK (B) SHOULD be sent.

If in a scenario, we assume when consequent N-1 packets fails to be decompressed (but not switches to no context state yet) and the decompressor switches to B mode, the next packet fails again and the de-compressor turn to use another metric to measure the failure i.e. x out of y.  If x is assumed larger than 1, the de-compressor, logically, will not switch to no context state. But from the point of view when considering the severity of decompression failure, we had better let the de-compressor switch to no context. (Of course, luckily, the proposed parameter of x and y are all set to 1.)

Could someone help to explain how to understand this puzzle? Thanks.

Regards,
William